void regulaceBosch(){	//*************REGULACE***************************
	
		//rozdil+=(Vpwm-pot)/Vitg-(pot2-pot)/Vder;
	//	if((Vpwm-pot)>0) {VI++;}
	//	else VI--;
	pozmer++;if (pozmer>=HODNOT) pozmer=0;senzor[pozmer]=AD[1];	
	AD[1]=prumer(pozmer);
	dw=derivace(pozmer);
	//rozdil=4*(int32_t)Vpwm-AD[1];
	e=w-y;	

	if (abs(rozdil)>3)
		{
		if(abs(rozdil)>20){VI+=rozdil;}else VI=0;

			if (VI>=120/Vitg) VI=120/Vitg;
			if (VI<=0) VI=0;

			//rozdil=(Vpwm-pot)/Vprp+VI;
			//akce=rozdil*Vprp/16+((int32_t)VI*Vitg)/256-(pot-pot2)*Vder/1;
		//akce=(double)rozdil*Vprp+VI*Vitg+dw*Vder/Vderzpoz;

		akce=(double)rozdil*Vprp+VI*Vitg+dw*Vder/Vderzpoz;
		

		//akce+=AD/10;
		if(akce>0) akce+=60;else akce-=100;
			//pot2=pot;
			//if (abs(rozdil)<5) akce=0;

			if (akce>maxvykon) akce=maxvykon;
			if (akce<0) akce=60;
		
		if (akce>10+akce2) akce=akce2+10;
		if (akce<akce2-10) akce=akce2-10;		
		akce2=akce;
			setpwm((int16_t)akce);


		}

//double dbl=12345.98765;TransmitNm((uint8_t*)&dbl,4);
//USART_Transmit(rozdil/4);

//USART_Transmit(Vpwm);
//TRANSMIT(AD)
//TRANSMIT(senzor[pozmer])
//TRANSMIT(akce)
//int16_t ak;
//ak=akce;
//TRANSMIT(ak)
//USART_Transmit(OCR1AL);
//TRANSMIT(dw)
//TRANSMIT(senzor[pozmer])
//TRANSMIT(rozdil)
//TRANSMIT(Vprp)
//TRANSMIT(Vprp)
//USART_Transmit(akce);
//USART_Transmit(VI/32);


	}		//************* // REGULACE  ***************************

